#ifndef KIONOTIFY_H
#define KIONOTIFY_H

#include <tqobject.h>

#include "messageReceiver.h"

class KSircIONotify : public TQObject,
		   public KSircMessageReceiver
{
  TQ_OBJECT
  
public:
  KSircIONotify(KSircProcess *_proc);
  virtual ~KSircIONotify();

  virtual void sirc_receive(TQCString, bool broadcast);
  virtual void control_message(int, TQString);

  virtual filterRuleList *defaultRules();

signals:
  virtual void notify_online(TQString);
  virtual void notify_offline(TQString);

protected slots:

private:
  KSircProcess *proc;
};

#endif
